optionUnloadNested(3)

NAME
optionUnloadNested - Deallocate the memory for a nested value

SYNOPSIS
#include <your-opts.h>
cc [...] -o outfile infile.c -lopts [...]

void optionUnloadNested(tOptionValue const * pOptVal);

DESCRIPTION
A nested value needs to be deallocated. The pointer passed in should have been gotten from a call to configFileLoad() (See @pxref{libopts-configFileLoad}).

pOptVal
    the hierarchical value

SEE ALSO
The info documentation for the -lopts library.
ao_string_tokenize(3), configFileLoad(3), optionFileLoad(3), optionFindNextValue(3), optionFindValue(3), optionFree(3), optionGetValue(3), optionLoadLine(3), optionMemberList(3), optionNextValue(3), optionOnlyUsage(3), optionPrintVersion(3), optionPrintVersionAndReturn(3), optionProcess(3), optionRestore(3), optionSaveFile(3), optionSaveState(3), optionVersion(3), strequate(3), streqvcmp(3), streqvmap(3), strneqvcmp(3), strtransform(3),